Skip to main content
PATCH
Update a tag

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Body

application/merge-patch+json
name
string
write-only

Tag name

Example:

"To be reviewed"

color
string | null
write-only

Optional display color as a 7-character hexadecimal string (#RRGGBB). Send null to clear the color and fall back to the default.

Example:

"#22c558"

Response

Tag resource response

@id
string<iri-reference>

Resource tag IRI reference

Example:

"/tags/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:Tag

JSON-LD resource type

id
string<uuid>
Example:

"e0a24894-7fbf-48ae-bfb0-efaae30a6319"

name
string

Display name for the tag

Example:

"To be reviewed"

resourceType
string

Resource type this tag can be applied to

Example:

"invoice"

color
string | null

Lowercase 7-character hexadecimal color used to display the tag (#RRGGBB). Defaults to #a3aab5 when a tag is created without a color.

Example:

"#22c558"

createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"